Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc
Interface IPortletTemplateManager

All Superinterfaces:
  IObjectManager

public interface IPortletTemplateManager
extends IObjectManager

An interface that provides a way to create, delete and retrieve Portlet Templates from the portal. Note: Any changes are not saved in the portal until `IPortletTemplate.save()` is called.

Method Summary
`IPortletTemplate` | `createPortletTemplate(int parentFolderID, int webServiceID)` Returns an `IPortletTemplate` object that represents a new Portlet Template in the portal.
`void` | `deletePortletTemplate(int templateID)` Deletes a Portlet Template from of the portal.
`IPortletTemplate` | `getPortletTemplate(int templateID)` Returns an `IPortletTemplate` object that represents an existing Portlet Template.

Methods inherited from interface com.plumtree.remote.prc.IObjectManager
`lookupObjectID, lookupUUID, queryACL, queryCommunitiesForPortlet, queryExtendedData, queryObjects, queryObjects, queryObjects, queryObjects, queryObjects, querySingleObject, updateACL`

Method Detail

### createPortletTemplate

    public IPortletTemplate createPortletTemplate(int parentFolderID,
                                                  int webServiceID)
                                           throws java.net.MalformedURLException,
                                                  PortalException,
                                                  java.rmi.RemoteException

  Returns an `IPortletTemplate` object that represents a new Portlet Template in the portal. Note: This Portlet Template will not be created in the portal until the `IPortletTemplate.save()` method is called.

  Parameters:
    `parentFolderID` - the folder in which to create the new Portlet Template
    `webServiceID` - the ID of the Web Service with which to create this Portlet Template
  Returns:
    an object representing the new Portlet Template; the object will not be saved in the portal until `IPortletTemplate.save()` is called.
  Throws:
    `NoSuchObjectException` - if there is no object with the specified ID
    `java.net.MalformedURLException` - if the query interface URL is not valid
    `PortalException` - if the operation resulted in an error on the portal
    `java.rmi.RemoteException` - if there is a communication problem during the execution of the remote method call

### deletePortletTemplate

    public void deletePortletTemplate(int templateID)
                               throws java.net.MalformedURLException,
                                      PortalException,
                                      java.rmi.RemoteException

  Deletes a Portlet Template from of the portal.

  Parameters:
    `templateID` - the ID of the Portlet Template to delete
  Throws:
    `java.net.MalformedURLException` - if the query interface URL is not valid
    `PortalException` - if the operation resulted in an error on the portal
    `java.rmi.RemoteException` - if there is a communication problem during the execution of the remote method call

### getPortletTemplate

    public IPortletTemplate getPortletTemplate(int templateID)
                                        throws java.net.MalformedURLException,
                                               PortalException,
                                               java.rmi.RemoteException

  Returns an `IPortletTemplate` object that represents an existing Portlet Template. Any changes made to the Portlet Template will not take effect in the portal until `IPortletTemplate.save()` is called.

  Parameters:
    `templateID` - The ID of the Portlet Template to be returned
  Returns:
    the Portlet Template being queried
  Throws:
    `NoSuchObjectException` - if there is no object with the specified ID
    `java.net.MalformedURLException` - if the query interface URL is not valid
    `PortalException` - if the operation resulted in an error on the portal
    `java.rmi.RemoteException` - if there is a communication problem during the execution of the remote method call

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.